Scheduling Resource Daily Loading

Get Scheduling Resource Daily Loading v2.0

GET https://yoursite.demanddriventech.com/odata/v2/schedulingresourcedailyloading

This endpoint allows you to get the resource loading summarized by day. This endpoint currently does not accept parameters.

{
    "@odata.context": "https://yoursite.demanddriventech.com/odata/v2/$metadata#schedulingresourcedailyloading",
    "value": [
        {
            "DataSetId": 1,
            "SchedulingSetId": 39,
            "SchedulingOrderId": 310,
            "SchedulingRopeItemId": 925,
            "LocationId": 0,
            "ResourceId": 138,
            "Resource": "R1",
            "Date": "2020-10-26T00:00:00-07:00",
            "Offset": 332,
            "Duration": 148,
            "Start": "2020-10-26T05:32:00-07:00",
            "Finish": "2020-10-26T08:00:00-07:00"
        }
    ]
}

Scheduling Resource Daily Loading Fields

This represents the summary of loading on a resource for a single day, and all the values in a single record refer just to the one day.

Field Name

Type

Notes

DataSetId

int

SchedulingSetId

int

SchedulingOrderId

int

SchedulingRopeItemId

int

LocationId

int

ResourceId

int

Resource

text

Date

date

Date of the loading

Offset

int

The number of minutes from midnight (i.e. time portion)

Duration

int

Duration in minutes

Start

date

The start date and time of the load for the date

Finish

date

The finish date and time of the load for the date

Last updated